// score: 100
#include <iostream>
#include <unordered_set>
#include <bitset>
#include <algorithm>
bool has(int y, int x) { return 0<=x && x < 8 && 0 <= y && y < 8; }
std::bitset<64>::reference at(std::bitset<64>& b, int y, int x) {
  return b[8*y + x];
}
std::bitset<64> move(std::bitset<64> b, int y0, int x0, int y1, int x1) {
  if (!at(b, y0, x0) || !has(y1, x1) || at(b, y1, x1)) return 0;
  at(b, y0, x0) = false, at(b, y1, x1) = true; return b;
}
void dfs(std::bitset<64> state, std::unordered_set<std::bitset<64> >& found, int maxdepth) {
  found.insert(state);
  if (!maxdepth) return;
  for (int y=0; y<8; ++y)
    for (int x=0; x<8; ++x)
      for (auto dxdy : {std::array<int, 2>{-1,0}, {1,0}, {0,-1}, {0,1}}) {
	int dx = dxdy[0], dy = dxdy[1]; std::bitset<64> next;
	if ((next = move(state, x, y, x+dx, y+dy)).any())
	  dfs(next, found, maxdepth-1);
	if (has(x+dx, y+dy) && at(state, x+dx, y+dy) &&
	    (next = move(state, x, y, x+2*dx, y+2*dy)).any())
	  dfs(next, found, maxdepth-1);
      }
}
int main() {
  std::array<std::bitset<64>, 2> states;
  for (auto i : {0,0,0,0,1,1,1,1}) {
    int x, y; std::cin >> x >> y; at(states[i], x-1, y-1) = true;
  }
  std::array<std::unordered_set<std::bitset<64> >, 2> reach;
  for (auto state_depth : {std::array<int,2>{0,4}, {1,4}})
    dfs(states[state_depth[0]], reach[state_depth[0]], state_depth[1]);
  bool ok = std::any_of(reach[0].begin(), reach[0].end(),
			[&](std::bitset<64> x) { return reach[1].count(x); });
  std::cout << (ok ? "YES\n" : "NO\n");
}
